org.eclipse.jetty.servlet

## Class JspPropertyGroupServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - org.eclipse.jetty.servlet.JspPropertyGroupServlet

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class JspPropertyGroupServlet
      extends javax.servlet.GenericServlet

  Servlet handling JSP Property Group mappings

  This servlet is mapped to by any URL pattern for a JSP property group. Resources handled by this servlet that are not directories will be passed directly to the JSP servlet. Resources that are directories will be passed directly to the default servlet.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspPropertyGroupServlet(ContextHandler context, ServletHandler servletHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()`
    `void` | `service(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JspPropertyGroupServlet

          public JspPropertyGroupServlet(ContextHandler context,
                                 ServletHandler servletHandler)

  - ### Method Detail

    - #### init

          public void init()
                    throws javax.servlet.ServletException

      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### service

          public void service(javax.servlet.ServletRequest req,
                     javax.servlet.ServletResponse res)
                       throws javax.servlet.ServletException,
                              IOException

      Specified by:
        `service` in interface `javax.servlet.Servlet`
      Specified by:
        `service` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

Copyright © 1995-2016 Mort Bay Consulting. All Rights Reserved.